'ReceiptValidatorService' and 'PlayfabStore' compile errors on 4.0=>4.3.1 Update



  • Hi,

    When I update from 4.0 to 4.3.1, I get these 3 compile errors:
    alt text
    alt text
    alt text

    Although the ReceiptValidatorService and PlayfabStore scripts are present in the SimpleIAPSystem folder.

    Due to the compile errors the Window > Simple IAP System tab isn't showing, so I can't use the Plugin Setup.

    The Playfab tab is also not showing.

    I tried reimporting SIS and Playfab but the errors persist.

    What could be the issue?



  • Bump.

    I do have a custom IAPListener script and kept my IAPManager prefab.

    Also kept a few custom changes in the IAPItem, ShopManager and PlayfabManager script via my vcs diff tool. But I don't think they're related to the mentioned compile errors.

    What am I missing?



  • Sorry, I must have missed the notification for the thread creation.

    Could you open the one of the scripts mentioned in the errors and see if they are being compiled? In Visual Studio, the script contents would be grey if not compiled.

    If you are missing a compiler #define, try running the Simple IAP System > Plugin Setup again.



  • Yes, idd, they're greyed out.

    The Unity editor doesn't show the Simple IAP System tab and so I can't run the plugin Setup again because of the errors.
    The same goes for the Playfab tab. It's missing too. I'm using Unity 2019.1.9 but I experienced 'not showing plugin tabs in the editor' with previous versions too. Fixing the errors and restarting Unity, normally makes the plugin tabs show again.



  • Thanks for confirming. So then this means that version 4.3 (uploaded May 2019) is not backwards compatible with version 4.0 (uploaded July 2017).

    This is because version 4.3 introduced custom defines per platform in SIS. With "SIS_IAP" and "PLAYFAB" added to your platform defines (manually since the Plugin Setup is unavailable in this case), the issue should not happen.



  • Great, thx, errors are gone now. I also ran the plugin Setup again.


Log in to reply